
Robotics Service Bus - Bug #1207
Cobertura-based coverage testing does not seem to work with Java 1.7
10/12/2012 07:52 PM - J. Moringen

Status: Resolved Start date: 10/12/2012
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Java Estimated time: 0.00 hour
Target version:
Description

The symptom are messages like

    [junit] Testcase: testEqualsObject took 0.029 sec
    [junit]     Caused an ERROR
    [junit] Expecting a stackmap frame at branch target 63 in method rsb.ParticipantId.equals(Ljava/lang/Object;)Z at offset 24
    [junit] java.lang.VerifyError: Expecting a stackmap frame at branch target 63 in method
rsb.ParticipantId.equals(Ljava/lang/Object;)Z at offset 24
    [junit]     at rsb.EventIdTest.<init>(EventIdTest.java:39)
    [junit]     at java.lang.reflect.Constructor.newInstance(Constructor.java:525)

during unit test execution.

See also: http://stackoverflow.com/questions/8151470/cobertura-java-7-support

I discovered this when preparing ci jobs on pat.techfak.uni-bielefeld.de which happened to have to Java 1.7 installed.

Associated revisions
Revision ff17c0dd - 08/03/2013 02:55 AM - J. Wienke

Convert coverage reporting to jacoco

fixes #1207

History
#1 - 10/12/2012 10:43 PM - J. Wienke

We should probably switch to http://www.eclemma.org/jacoco/

#2 - 08/03/2013 04:33 AM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-java|commit:ff17c0dd008697f70dad27bd0319f4475ab87712.
